using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine;
using UnityEngine.SceneManagement;
using System.Linq;
using TMPro;
using UnityEngine.UI;

namespace Armor
{
    public class Mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("Law Enforcement", "This mod contains things from Brenton Tarrant Mosque Attack", ModAPI.LoadSprite("modicon.png")); 

            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "HK-416",
                 DescriptionOverride = "Rifle used for engaging suspects at medium ranges and to match armored suspects.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/hk416icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/hk416bolt.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/hk416.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.500f, 0.1200f);  
                     firearm.casingPosition = new Vector3(0.000f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/7.mp3"),
                     };
                 }
             }
             ); ;     

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Hammer"),
                    NameOverride = "Battering Ram",
                    DescriptionOverride = "A battering ram is a siege engine that originated in ancient times and was designed to break open the masonry walls of fortifications or splinter their wooden gates. ... Smaller, hand-held versions of battering rams are still used today by law enforcement officers and military personnel to break open locked doors.",
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/batteringramicon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("guns/batteringram.png", 6f);
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 200f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 200f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 200f;
                        Instance.FixColliders();
                    }
                }
            );			 

            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MP-5",
                 DescriptionOverride = "A sub machine gun used by many for Military or Policing needs.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/mp5icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp5blow.png", 15f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp5.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.465f, 0.1200f);  
                     firearm.casingPosition = new Vector3(0.100f,0.100f);						 
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/6.mp3"),
                     };
                 }
             }
             ); ;

            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MK-18 CQBR",
                 DescriptionOverride = "A M4 rifle variant used for close quarters engagement to meat any target head on.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/mk18icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mk18cqbrblow.png", 10f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mk18cqbr.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					  Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.600f, 0.1200f); 
					  firearm.casingPosition = new Vector3(0.000f,0.100f);	
                     customCartridge.name = "5.56x45mm";
                     Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/2.mp3"),
                     };
                 }
             }
             ); ;

            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "M-110 SAS, Black Variant",
                 DescriptionOverride = "A marksmanship weapon used by SWAT to engage targets from far away ranges to prevent loss of life.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/m110sasicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/sasbolt.png", 16f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/m110sasblack.png", 16f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 firearm.casingPosition = new Vector3(0.0000f,0.100f);
		             Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.000f); 
                     customCartridge.name = "7,62 mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/3.mp3"),
                     };
                 }
             }
             ); ;

            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock 17, Black Flashlight Variant.",
                 DescriptionOverride = "A pistol used by almost all police departments across the US, used for engagements only involving lightly armed suspects.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/glockblackflashicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glockblackbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glockblackf.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1.mp3"),
                     };
                 }
             }
             ); ;
			 
			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock 17, Tan Flashlight Variant.",
                 DescriptionOverride = "A pistol used by almost all police departments across the US, used for engagements only involving lightly armed suspects.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/glocktanflashicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glocktanbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glocktanf.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1.mp3"),
                     };
                 }
             }
             ); ;
			 
			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock 17, Black Variant.",
                 DescriptionOverride = "A pistol used by almost all police departments across the US, used for engagements only involving lightly armed suspects.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/glockblackicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glockblackbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glockblack.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1.mp3"),
                     };
                 }
             }
             ); ;
			 
			 			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock 17, Tan Variant.",
                 DescriptionOverride = "A pistol used by almost all police departments across the US, used for engagements only involving lightly armed suspects.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/glocktanicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glocktanbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glocktan.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1.mp3"),
                     };
                 }
             }
             ); ;
			 
			 			 
			 			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock 17, Flashlight Mixed Variant.",
                 DescriptionOverride = "A pistol used by almost all police departments across the US, used for engagements only involving lightly armed suspects.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/glockmixicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glocktanbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/glockmix.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1.mp3"),
                     };
                 }
             }
             ); ;

              ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Model 870, Patrol Variant",
                 DescriptionOverride = "Used in many police cars as a police patrolman's shotgun used in many situations involving highly armed suspects.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/regminton870patrolicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/870patrolbolt.png", 18f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/870patrol.png", 18f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					  Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.600f, 0.1200f); 
					  firearm.casingPosition = new Vector3(0.0000f,0.100f);
                     customCartridge.name = "12 Gauge";
                     Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 5;
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/4.wav"),
                     };
                 }
             }
             ); ;

              ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Model 870, Tactical Variant",
                 DescriptionOverride = "A shotgun given to SWAT teams used in breaching and clearing situations",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/regminton870tacticalicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/870tacticalbolt.png", 18f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/870tactical.png", 18f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.400f, 0.1200f); 
		             firearm.casingPosition = new Vector3(0.0000f,0.100f);					 
                     customCartridge.name = "12 Gauge";
                     Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 5;
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/4.wav"),
                     };
                 }
             }
             ); ;

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "S.W.A.T Helmet, Variant 1", 
                    DescriptionOverride = "The Ops-Core Future Assault Shell Technology (FAST) Helmet, also known as the FAST helmet, is a combat helmet used by special operations forces and law enforcement organizations.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/swathelmet2icon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/swathelmet3.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/swathelmet3.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
			            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "S.W.A.T Helmet, Variant 2", 
                    DescriptionOverride = "The Ops-Core Future Assault Shell Technology (FAST) Helmet, also known as the FAST helmet, is a combat helmet used by special operations forces and law enforcement organizations.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/swathelmet1icon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/swathelmet2.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/swathelmet2.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
						
			            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "S.W.A.T Helmet, Variant 3", 
                    DescriptionOverride = "The Ops-Core Future Assault Shell Technology (FAST) Helmet, also known as the FAST helmet, is a combat helmet used by special operations forces and law enforcement organizations.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/swathelmet3icon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/swathelmet1.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/swathelmet1.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
			    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "FBI H.R.T Helmet, Variant 1", 
                    DescriptionOverride = "The Ops-Core Future Assault Shell Technology (FAST) Helmet, also known as the FAST helmet, is a combat helmet used by special operations forces and law enforcement organizations.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbihrthelmeticon2.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/fbihrthelmet1.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/fbihrthelmet1.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
						    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "FBI H.R.T Helmet, Variant 2", 
                    DescriptionOverride = "The Ops-Core Future Assault Shell Technology (FAST) Helmet, also known as the FAST helmet, is a combat helmet used by special operations forces and law enforcement organizations.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbihrthelmeticon1.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/fbihrthelmet2.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/fbihrthelmet2.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "SWAT Police Vest", 
                    DescriptionOverride = "A bulletproof vest, also known as a ballistic vest or a bullet-resistant vest, is an item of body armor that helps absorb the impact and reduce or stop penetration to the torso from firearm-fired projectiles and fragmentation from explosions.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/swatvesticon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/vest1top.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/vest1top.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/vest1bottom.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "L.A.P.D Police vest", 
                    DescriptionOverride = "A bulletproof vest, also known as a ballistic vest or a bullet-resistant vest, is an item of body armor that helps absorb the impact and reduce or stop penetration to the torso from firearm-fired projectiles and fragmentation from explosions.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/lapdvesticon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/vest1top.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/vest1top.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/lapdvest.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Sheriff Officer vest", 
                    DescriptionOverride = "A bulletproof vest, also known as a ballistic vest or a bullet-resistant vest, is an item of body armor that helps absorb the impact and reduce or stop penetration to the torso from firearm-fired projectiles and fragmentation from explosions.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/sheriffvesticon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/sheriffvest1.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/sheriffvest1.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/sheriffvest2.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
						    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "Operator Cap, Variant 2", 
                    DescriptionOverride = "Used by operators not wanting the restrictions a helmet can give.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/operatorcap2icon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/operatorc2.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Armor/operatorc2.png", 6f);
                        prop.armorPoints = 10;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
									 

			
						    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "Operator Cap, Variant 1", 
                    DescriptionOverride = "Used by operators not wanting the restrictions a helmet can give.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/operatorcap1icon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/operatorc1.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Armor/operatorc1.png", 6f);
                        prop.armorPoints = 10;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
			          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "FBI H.R.T Shield",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A ballistic Shield is used for CQB encounters to breach buildings and gain distance onto a suspect.",
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"),
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/hrtshieldicon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/fbihrtshield.png", 6f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                    }
                }
            );
			
			      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "FBI H.R.T Vest", 
                    DescriptionOverride = "A bulletproof vest, also known as a ballistic vest or a bullet-resistant vest, is an item of body armor that helps absorb the impact and reduce or stop penetration to the torso from firearm-fired projectiles and fragmentation from explosions.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbihrtvesticon.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/fbirhtvestmiddle.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/fbihrtvesttop.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/fbirhtvestmiddle.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "FBI Operator F-E Team, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The Hostage Rescue Team (HRT) is the elite tactical unit of the Federal Bureau of Investigation (FBI).", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbifeicon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("FBIHRT1.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );  
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "FBI Operator F-E, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The Hostage Rescue Team (HRT) is the elite tactical unit of the Federal Bureau of Investigation (FBI).", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbifeicon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("FBIHRT2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
						
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sheriff Officer, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "In the United States, a sheriff is an elected official of a county or independent city responsible for keeping the peace and enforcing the laws.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/sheriffofficericon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sheriff1.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
									ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sheriff Officer, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "In the United States, a sheriff is an elected official of a county or independent city responsible for keeping the peace and enforcing the laws.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/sheriffofficericon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sheriff2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
										ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "L.A.P.D Police Officer, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The United States Police is a security force charged with the protection of the United States Congress within the District of Columbia and in the United States and its territories.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/lapdofficericon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("lapdpolice1.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
												ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "D.E.A SLR Operator", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The Drug Enforcement Administration is the agency of the United States Department of Justice dedicated to combating drug smuggling and consumption in the United States, as well as money laundering.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/deaoperatorslricon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("deaslr.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
														ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "D.E.A Operator", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The Drug Enforcement Administration is the agency of the United States Department of Justice dedicated to combating drug smuggling and consumption in the United States, as well as money laundering.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/deaoperatoricon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("deaoperator.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
									ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "L.A.P.D Police Officer, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The United States Police is a security force charged with the protection of the United States Congress within the District of Columbia and in the United States and its territories.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/lapdofficericon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("lapdpolice2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
										ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "FBI Operator F-E, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The Hostage Rescue Team (HRT) is the elite tactical unit of the Federal Bureau of Investigation (FBI).", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbifeicon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("FBIHRT3.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
				
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "FBI Operator F-SS Team, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The Hostage Rescue Team (HRT) is the elite tactical unit of the Federal Bureau of Investigation (FBI).", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbistealthicon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("FBIHRT4.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );  
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "FBI Operator F-SS, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The Hostage Rescue Team (HRT) is the elite tactical unit of the Federal Bureau of Investigation (FBI).", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbistealthicon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("FBIHRT5.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
										ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "FBI Operator F-SS, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "The Hostage Rescue Team (HRT) is the elite tactical unit of the Federal Bureau of Investigation (FBI).", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/fbistealthicon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("FBIHRT6.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
							ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.W.A.T Operator Team F-1, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "A SWAT (Special Weapons and Tactics) team is an elite unit within a police force, used for exceptional situations that require increased firepower or specialized tactics.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/policeswatf1icon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("swat2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );    
			
						
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.W.A.T Operator Team F-1, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "A SWAT (Special Weapons and Tactics) team is an elite unit within a police force, used for exceptional situations that require increased firepower or specialized tactics.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/policeswatf1icon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("swatg.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.W.A.T Operator Team F-1, Variant 4", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "A SWAT (Special Weapons and Tactics) team is an elite unit within a police force, used for exceptional situations that require increased firepower or specialized tactics.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/policeswatf1icon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("swatnsg.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 

 				 
		ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.W.A.T Operator Team F-2, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "A SWAT (Special Weapons and Tactics) team is an elite unit within a police force, used for exceptional situations that require increased firepower or specialized tactics.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/policeswatf2icon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("swat6.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );   
			
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.W.A.T Operator Team F-2, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "A SWAT (Special Weapons and Tactics) team is an elite unit within a police force, used for exceptional situations that require increased firepower or specialized tactics.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/policeswatf2icon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("swat4.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );    
			
						
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.W.A.T Operator Team F-2, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "A SWAT (Special Weapons and Tactics) team is an elite unit within a police force, used for exceptional situations that require increased firepower or specialized tactics.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/policeswatf2icon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("swat5.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.W.A.T Operator Team F-2, Variant 4", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "A SWAT (Special Weapons and Tactics) team is an elite unit within a police force, used for exceptional situations that require increased firepower or specialized tactics.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/policeswatf2icon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("swat3.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 

 				 
		ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.W.A.T Operator Team F-1, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "A SWAT (Special Weapons and Tactics) team is an elite unit within a police force, used for exceptional situations that require increased firepower or specialized tactics.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/policeswatf1icon.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("swat1.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );      
              }               
           

public class MultipleSpriteHumanBehaviour : MonoBehaviour
    {
        public Texture2D[] Textures = new Texture2D[0];
        public PersonBehaviour person;
        public int CurrentTexture = -2;
        public int Scale = 6;

        void Start()
        {
            SetTexture();
        }

        public void SetTexture()
        {
            if (Textures.Length == 0)
                return;

            if(CurrentTexture == -2)
            {
                CurrentTexture = UnityEngine.Random.Range(0, Textures.Length);
            }
            person.SetBodyTextures(Textures[CurrentTexture], null, null, Scale);
            for (int i = 0; i < person.Limbs.Length; i++)
            {
                person.Limbs[i].gameObject.GetComponent<PhysicalBehaviour>().RefreshOutline();
            }
        }
}    }
}